import gzip
import binascii

# Replace this with the actual byte array from ELEGANT_HTML
data = [
    31,139,8,0,0,0,0,0,2,3,164,86,231,118,219,184,18,254,159,167,160,121,206,114,9,11,162,37,89,150,
    21,73,112,122,110,154,203,246,226,235,155,3,131,160,136,24,2,184,0,232,114,101,189,251,14,72,213,56,61,127,
    72,148,153,111,190,105,0,70,91,169,102,238,166,224,65,238,38,242,224,222,200,255,2,73,213,152,132,92,133,7,
    247,130,96,148,115,154,250,1,12,39,220,209,128,229,212,88,238,72,248,219,175,207,155,253,48,216,89,223,84,116,
    194,73,120,41,248,85,161,141,11,3,166,149,227,10,132,175,68,234,114,146,242,75,193,120,179,154,224,64,40,225,
    4,149,77,203,168,228,164,157,180,86,96,78,56,201,15,158,73,62,166,202,29,255,250,40,120,35,28,31,237,212,
    203,181,136,101,70,20,46,240,236,73,56,209,105,41,57,216,51,218,90,109,196,88,168,131,123,113,86,42,230,132,
    86,49,154,2,17,235,130,140,128,191,229,4,24,37,204,112,234,56,88,240,179,56,148,66,93,132,40,49,92,190,
    17,214,13,69,22,103,81,148,37,182,44,188,35,118,125,28,207,173,21,32,172,105,26,34,100,184,43,141,26,102,
    218,196,181,29,26,232,44,88,154,250,167,228,230,230,23,46,57,115,218,60,146,50,254,209,91,59,5,117,242,30,
    212,217,143,8,165,49,69,67,197,175,130,195,210,81,207,254,248,220,114,115,201,77,76,201,193,116,101,131,121,27,
    20,1,83,150,84,65,32,36,100,185,144,169,119,32,68,43,65,225,5,89,66,211,148,167,71,58,229,22,137,196,
    209,241,17,157,84,58,111,94,30,189,14,163,72,120,223,97,190,201,8,54,210,88,160,25,74,116,205,34,94,120,
    133,167,75,99,131,173,22,182,229,185,51,156,195,112,134,134,139,184,7,54,166,139,208,51,50,157,13,235,64,5,
    52,17,202,241,177,17,238,38,138,98,182,154,145,181,29,132,41,80,202,184,49,220,156,104,41,88,45,187,185,68,
    222,151,241,90,85,17,28,87,69,224,29,42,45,111,50,195,83,174,124,181,217,240,1,75,214,166,36,20,138,201,
    50,229,225,224,142,38,85,90,221,76,116,121,87,71,79,132,11,7,239,45,90,136,104,179,46,190,16,179,217,50,
    10,169,143,2,228,137,38,188,88,212,138,31,147,173,214,112,17,28,235,179,158,113,199,114,16,203,193,39,204,208,
    108,134,98,52,148,154,81,249,139,211,134,142,121,226,114,94,103,45,165,230,34,188,189,221,138,195,106,9,156,8,
    214,5,81,20,93,9,149,234,171,100,66,1,243,144,167,130,198,97,92,84,193,178,77,166,165,54,208,119,94,117,
    16,120,44,20,162,90,148,219,7,203,28,39,139,193,188,77,18,38,169,181,62,229,190,154,226,154,4,194,75,241,
    49,95,72,62,190,121,57,223,63,212,41,127,146,115,118,113,174,175,193,6,243,67,158,130,235,104,240,37,118,12,
    159,232,75,254,125,166,218,104,248,53,122,224,218,179,75,16,240,246,185,226,38,14,153,20,236,34,196,107,199,201,
    55,240,248,234,176,126,32,241,243,173,175,143,220,135,209,164,24,231,46,68,235,29,251,40,150,104,58,111,83,25,
    69,50,121,251,150,219,195,234,72,136,162,227,243,119,156,185,164,48,218,105,127,228,36,57,181,199,87,234,196,232,
    130,27,119,147,128,5,25,75,28,166,60,163,165,4,228,7,50,153,143,7,114,118,73,77,240,134,76,249,117,117,
    138,14,166,179,25,190,222,152,14,215,15,108,47,45,73,248,232,241,147,167,207,158,255,231,197,203,87,175,223,28,
    30,29,159,252,244,243,47,191,254,246,251,31,127,254,245,55,61,103,128,61,206,197,187,11,57,81,186,248,199,88,
    87,94,94,93,223,252,191,213,238,236,118,247,122,251,253,251,141,29,200,26,153,2,95,57,88,98,91,156,46,93,
    180,163,81,122,107,15,14,14,118,59,205,116,134,65,208,124,84,16,68,106,89,16,228,42,21,84,173,137,86,13,
    110,147,170,157,77,233,15,122,66,142,202,201,57,55,104,142,144,37,158,6,128,246,81,212,238,237,183,219,247,119,
    247,110,151,139,157,46,138,186,157,253,126,103,111,111,183,215,170,174,18,31,129,148,180,134,233,200,38,146,171,177,
    203,135,105,163,129,236,105,122,70,178,164,102,16,251,25,26,46,72,130,7,84,165,122,242,248,198,113,187,193,110,
    5,120,122,54,180,7,173,161,109,54,81,154,20,165,205,227,67,234,242,36,147,90,155,122,88,99,196,104,187,179,
    215,67,75,112,240,250,220,195,254,170,255,208,38,253,56,58,166,164,133,25,240,166,43,222,180,209,192,172,65,250,
    40,61,101,16,192,189,179,91,98,79,233,217,104,212,233,54,217,15,187,157,53,27,87,0,14,54,62,237,1,166,
    27,248,219,128,64,1,126,225,16,96,87,86,224,3,6,40,24,136,32,174,31,240,228,5,191,254,82,27,222,135,
    5,190,55,224,193,187,40,113,250,23,103,132,26,199,109,8,21,94,223,143,218,123,155,219,43,251,201,59,45,84,
    28,66,231,225,156,95,127,165,179,222,211,206,130,73,65,141,229,47,149,139,109,2,55,176,117,38,166,184,131,112,
    251,131,121,123,76,45,239,117,191,198,206,46,90,8,176,121,194,218,189,91,24,52,218,48,236,87,163,206,25,22,
    160,39,70,221,161,128,8,209,237,126,67,108,247,70,100,153,155,254,131,57,87,153,248,167,227,35,23,251,18,232,
    109,199,187,77,129,162,222,46,66,131,185,64,72,194,15,198,232,188,226,253,161,48,89,48,99,120,33,41,227,241,
    206,233,255,30,53,255,110,53,239,55,254,187,115,182,35,198,56,4,180,207,21,38,35,141,6,253,161,139,216,22,
    105,69,209,34,125,50,17,42,229,215,199,208,209,11,206,180,217,70,40,170,218,163,208,87,113,7,55,59,219,172,
    209,71,176,60,26,177,237,206,237,135,116,16,242,158,54,97,123,45,27,179,225,117,50,63,244,72,86,221,240,158,
    224,11,178,92,197,207,201,180,116,89,127,48,181,85,237,220,113,124,117,66,63,79,206,133,74,54,196,226,82,113,
    203,104,193,99,174,152,78,249,111,63,191,124,162,39,133,86,92,57,208,68,104,89,14,117,101,126,8,54,229,119,
    52,231,152,181,193,13,128,26,20,80,133,250,20,227,69,38,50,159,9,11,89,176,35,185,200,130,133,194,201,214,
    139,228,9,152,135,0,90,180,209,183,217,93,234,95,141,95,107,38,153,209,147,39,115,67,177,60,181,103,104,101,
    101,85,121,224,213,75,242,124,184,179,189,117,47,216,14,158,114,199,205,68,40,30,136,44,160,42,208,213,109,24,
    8,27,208,224,113,153,101,220,128,148,23,124,72,75,151,107,19,4,193,115,238,31,148,193,163,115,93,94,228,52,
    21,239,120,30,140,114,231,10,59,216,217,201,170,205,68,155,241,65,165,37,5,227,202,242,32,56,124,249,43,44,
    236,120,111,142,201,7,210,35,183,136,42,165,140,162,248,16,86,111,111,79,170,239,214,22,92,214,194,214,76,208,
    108,117,165,31,174,84,65,102,253,138,138,34,127,139,235,44,216,88,77,22,32,132,132,11,144,48,138,62,44,3,
    216,171,135,238,201,26,201,37,178,225,52,125,46,53,117,111,158,109,2,46,37,172,247,124,115,15,56,215,203,113,
    11,183,160,188,238,190,12,94,224,140,188,76,124,159,64,182,143,113,10,19,168,64,76,87,1,99,88,160,41,219,
    188,146,235,244,63,16,81,36,146,170,63,96,70,192,52,168,82,115,3,207,124,146,190,215,78,12,13,24,201,238,
    46,250,15,136,63,50,134,222,172,94,68,53,233,250,33,196,128,249,96,171,22,16,182,250,131,78,20,109,80,218,
    34,228,55,161,92,191,218,134,140,50,194,86,151,6,90,29,96,134,200,100,253,250,5,36,92,16,182,60,100,177,
    34,237,253,221,206,94,191,11,239,10,204,73,179,179,15,243,221,254,254,125,172,73,115,185,213,197,142,44,118,250,
    184,132,54,41,71,102,209,38,37,180,137,57,45,207,72,236,191,254,128,135,127,125,137,174,61,89,230,155,157,238,
    98,183,191,241,114,49,167,197,252,134,111,119,250,163,81,1,151,47,54,167,113,209,232,117,97,253,254,104,212,69,
    141,118,247,140,20,75,215,38,132,38,111,179,12,143,253,127,60,198,185,255,231,57,190,241,127,33,238,178,36,237,
    94,93,5,79,136,194,191,16,142,47,136,198,111,137,27,42,50,137,21,230,88,99,7,54,203,198,191,108,213,59,
    110,245,58,12,4,224,245,4,144,1,14,135,207,197,156,242,34,233,110,147,38,187,255,45,41,205,137,220,143,136,
    15,67,194,150,215,200,113,69,73,101,52,227,99,124,223,129,239,177,35,51,128,215,128,142,139,213,30,230,117,39,
    254,191,19,243,249,204,204,132,222,137,28,33,1,241,66,127,140,255,238,192,124,62,35,51,192,215,208,123,4,196,
    204,213,73,249,24,127,25,182,24,200,48,84,117,158,12,95,12,168,136,148,152,62,48,98,49,46,88,82,9,26,
    78,72,110,136,121,138,119,241,100,212,100,32,83,132,110,136,147,209,187,13,180,151,193,12,121,58,32,27,98,42,
    193,211,0,108,4,186,197,196,16,122,50,160,203,81,98,33,140,210,211,1,110,136,9,13,16,60,48,108,51,224,
    162,34,170,45,15,22,95,22,40,195,233,212,158,148,207,119,202,107,248,61,36,60,59,28,50,37,159,111,146,120,
    141,190,3,18,237,130,160,78,201,231,187,4,183,196,70,24,19,153,224,116,124,190,57,228,102,200,184,152,172,78,
    138,158,12,95,140,20,184,87,52,78,6,100,58,88,130,144,226,3,194,23,226,138,16,203,34,253,84,216,86,152,
    184,51,203,234,84,244,84,120,148,89,24,235,1,97,191,101,160,75,24,45,167,131,155,129,74,6,59,112,50,106,
    49,128,160,19,46,56,25,224,94,138,153,69,193,34,79,137,46,136,195,132,89,118,50,114,49,144,116,106,89,242,
    100,64,119,29,104,141,144,76,218,132,124,253,221,138,205,181,149,123,77,195,215,155,161,94,3,24,151,138,170,167,
    89,112,50,190,206,211,136,129,98,11,197,67,167,227,235,221,97,183,131,227,162,83,218,61,78,5,150,2,78,233,
    86,9,57,37,182,36,208,212,106,210,31,32,57,29,115,136,91,103,240,201,33,219,1,105,75,74,152,60,72,56,
    41,81,208,108,164,157,16,217,149,208,203,153,170,122,66,184,33,169,234,138,206,62,33,177,28,25,162,141,234,19,
    209,171,142,48,97,152,85,158,8,232,86,152,162,224,69,63,21,240,197,112,74,154,186,202,169,208,221,70,183,147,
    21,142,233,248,249,251,103,153,141,118,5,165,204,166,227,231,205,49,59,151,1,104,84,195,176,24,63,231,55,108,
    93,58,130,110,45,62,33,63,111,144,91,170,24,151,167,209,196,253,116,64,39,4,41,98,229,158,56,33,92,144,
    11,213,214,21,33,241,32,145,95,137,56,92,121,50,176,25,42,110,173,154,221,39,164,150,163,146,4,233,125,58,
    224,27,66,9,32,205,78,70,252,42,60,4,93,44,121,128,112,73,64,105,56,194,30,32,182,55,99,238,74,73,
    121,128,96,67,0,21,133,48,251,164,232,162,36,42,43,213,251,132,244,110,132,198,217,251,190,144,127,140,152,1,
    6,3,49,16,69,111,19,137,31,20,128,221,128,30,161,128,106,138,10,59,202,38,198,0,146,61,123,179,73,131,
    130,6,248,24,207,3,60,179,227,90,11,231,82,111,3,110,109,69,23,241,110,75,156,224,121,174,50,26,126,60,
    112,238,95,249,135,41,75,235,160,159,128,181,108,83,119,239,197,35,238,5,77,138,243,65,42,25,232,253,100,26,
    196,165,99,181,172,107,200,210,255,89,193,128,138,109,77,53,195,76,153,213,49,205,220,182,9,166,103,63,13,36,
    250,15,100,175,41,87,199,15,181,198,181,30,39,175,188,255,159,2,147,6,137,192,37,157,61,164,184,59,61,110,
    167,23,1,179,187,138,5,34,146,240,102,205,199,187,31,141,0,47,222,244,92,229,191,131,145,166,207,32,52,51,
    63,74,51,225,34,61,83,236,2,204,31,35,190,103,108,2,74,247,128,87,253,133,123,233,202,128,29,149,216,222,
    176,124,61,149,98,230,96,51,102,71,74,33,61,247,128,99,75,138,59,84,78,108,217,213,113,239,164,254,168,255,
    65,31,214,174,60,138,212,22,215,74,123,229,160,202,174,61,149,81,247,218,221,71,178,165,43,181,244,35,30,46,
    106,84,230,189,185,172,20,156,196,151,130,119,221,131,195,248,185,119,226,147,243,152,199,79,190,90,153,230,254,23,
    106,195,83,150,101,80,96,141,101,243,199,145,105,150,13,49,103,223,196,116,75,41,38,18,148,58,198,214,157,235,
    135,172,40,64,238,31,191,126,21,243,134,236,124,27,23,208,232,95,68,60,254,1,196,67,160,74,20,203,152,219,
    49,85,243,34,117,12,62,250,213,212,174,115,166,192,243,198,68,249,134,36,7,237,100,177,235,18,26,227,242,46,
    227,96,232,100,32,77,114,138,2,91,98,131,104,241,235,44,62,196,246,27,149,19,64,171,170,138,107,159,140,189,
    204,199,248,147,6,241,121,123,241,91,92,150,125,242,102,33,65,189,233,185,85,137,84,183,4,175,114,35,44,49,
    16,5,90,155,40,80,151,176,243,133,25,123,216,8,5,29,199,95,181,128,208,20,219,16,70,251,115,202,43,24,
    105,57,183,186,169,152,206,40,211,206,182,145,101,52,243,220,35,35,59,50,115,176,201,106,140,145,26,30,174,223,
    5,86,214,109,110,251,82,255,91,53,68,87,21,34,60,205,13,237,248,122,61,110,110,78,169,154,154,39,213,252,
    207,199,174,233,74,22,138,179,229,188,233,216,88,30,101,203,195,25,83,198,33,187,100,69,59,86,89,168,225,147,
    246,90,176,224,16,114,49,25,162,75,80,165,89,129,200,37,180,199,77,91,87,9,153,111,83,77,173,101,152,5,
    253,237,245,171,125,173,203,67,48,29,88,108,234,134,162,132,194,115,223,189,61,58,118,137,107,213,105,173,111,108,
    204,194,246,241,11,237,159,222,246,131,14,144,244,173,53,203,184,45,152,139,170,200,60,25,34,62,100,171,50,212,
    134,52,191,189,190,182,230,143,190,155,24,155,84,26,47,41,61,55,202,182,93,242,242,142,123,195,37,223,69,60,
    69,199,14,195,187,69,108,200,202,250,64,29,81,244,251,227,161,244,198,85,253,141,26,139,124,149,166,9,135,223,
    88,169,134,48,163,10,102,212,92,105,170,33,157,210,98,2,11,149,172,70,44,180,27,142,112,67,28,223,243,45,
    8,183,87,42,142,55,140,224,191,32,183,107,20,70,193,127,0,115,40,118,143,183,185,216,49,76,103,85,165,233,
    48,155,129,43,112,174,136,123,207,136,91,255,54,242,218,15,234,37,96,199,115,79,108,116,45,178,24,3,71,198,
    44,236,243,243,216,100,241,232,24,15,46,171,218,159,70,17,114,236,185,71,118,220,194,105,15,110,200,156,214,37,
    14,214,196,205,121,223,187,200,111,72,26,210,178,132,194,8,51,54,216,46,225,132,135,56,1,131,233,167,16,158,
    250,100,214,179,96,197,196,96,119,27,154,20,123,237,216,194,248,117,57,85,152,27,36,58,1,172,190,159,226,129,
    216,23,188,159,172,223,188,185,146,87,92,179,146,195,83,143,114,144,218,115,255,46,42,39,197,186,117,193,231,78,
    213,146,19,5,56,30,22,78,125,7,85,112,40,206,174,104,150,67,232,250,248,29,137,248,63,215,254,109,69,14,
    85,201,153,161,98,22,194,82,148,158,191,98,171,166,238,55,201,15,72,171,158,226,202,154,253,141,249,248,245,179,
    171,69,222,172,180,22,168,252,245,175,239,68,194,7,69,89,105,19,129,31,127,160,113,207,253,154,135,165,4,220,
    181,221,54,166,61,195,32,180,251,188,43,141,240,11,220,140,7,218,169,121,240,187,242,249,250,232,141,135,22,25,
    212,188,247,60,191,238,70,45,176,197,142,176,176,157,157,49,244,186,5,81,236,246,130,198,23,163,14,40,65,129,
    62,101,48,139,247,70,127,252,241,151,213,118,158,169,31,110,210,115,28,116,186,77,162,4,198,66,2,137,232,88,
    131,172,19,241,41,80,236,2,155,31,137,144,25,200,192,64,70,221,163,205,155,104,173,127,181,52,34,37,56,203,
    122,144,157,251,136,174,193,125,120,8,73,179,68,59,8,244,44,232,6,182,34,199,117,27,28,6,171,57,43,32,
    152,2,78,10,68,235,225,253,81,48,131,228,140,233,0,143,105,20,5,2,154,125,168,148,142,48,237,70,65,46,
    46,2,77,19,187,18,221,27,5,98,248,54,120,28,27,62,193,152,230,140,207,163,138,5,138,22,42,80,32,217,
    152,168,185,210,144,7,21,35,1,45,75,14,65,11,32,155,56,52,245,154,166,71,246,117,215,224,147,35,152,8,
    112,78,14,200,161,72,132,22,100,31,248,57,104,150,82,231,13,84,64,158,75,70,57,121,99,86,156,35,67,159,
    12,152,184,207,145,180,179,133,246,112,118,114,241,129,185,196,237,201,245,128,203,247,163,121,158,8,78,92,75,106,
    136,211,169,1,84,87,18,130,254,191,45,42,132,204,41,111,23,77,172,51,27,21,203,203,77,34,178,121,157,83,
    57,97,133,113,218,208,206,172,152,26,41,117,51,149,117,11,49,235,214,117,253,74,239,79,45,202,206,235,235,229,
    167,134,38,137,140,102,102,3,120,255,180,147,114,255,246,235,43,238,194,190,158,180,194,68,85,97,240,145,167,147,
    9,173,33,27,125,111,67,51,93,39,211,13,50,189,75,166,247,200,244,62,153,62,168,81,191,214,159,189,88,22,
    50,187,170,4,173,175,138,190,204,168,223,151,16,165,165,40,38,245,144,136,49,187,17,163,193,79,47,57,75,50,
    162,104,94,146,82,66,189,20,63,185,40,132,42,105,10,228,104,247,181,121,14,14,97,82,113,42,201,107,40,184,
    32,6,68,83,65,182,236,63,37,85,228,21,75,160,101,239,152,37,92,168,36,3,105,194,102,70,46,73,141,22,
    250,173,67,222,40,227,51,62,208,249,209,218,141,70,85,70,234,170,28,64,31,222,191,49,112,37,58,174,20,138,
    89,69,37,240,255,179,111,157,235,145,234,72,244,85,216,60,1,177,64,67,7,122,211,115,76,248,161,6,129,245,
    13,105,37,176,221,195,199,187,95,149,68,145,125,221,247,255,56,215,57,135,82,160,84,10,96,85,228,51,187,62,
    51,1,65,154,19,154,243,172,140,224,241,54,92,2,222,58,21,199,77,85,68,196,241,67,85,38,248,110,170,90,
    153,96,233,53,90,167,251,143,151,9,43,155,105,172,175,163,3,193,156,214,146,69,248,71,127,211,57,213,230,144,
    137,236,170,110,50,81,181,181,45,245,171,137,54,56,166,130,209,69,223,162,203,253,64,71,118,29,233,91,30,251,
    7,178,196,94,152,236,197,255,42,230,199,161,82,211,36,129,12,232,98,123,76,3,76,207,52,130,150,50,173,68,
    17,149,85,201,80,241,85,191,33,105,140,239,131,165,19,48,26,170,239,11,222,124,31,199,11,76,236,84,185,138,
    89,100,174,186,222,104,252,35,211,139,226,161,183,117,73,53,21,172,108,230,36,47,104,198,76,225,145,78,135,105,
    21,183,18,182,245,93,213,54,208,204,136,182,77,53,144,45,39,188,124,166,57,79,76,110,127,162,106,110,48,87,
    227,178,160,123,43,94,162,8,107,171,87,63,68,214,188,36,67,131,39,78,21,186,228,48,167,232,90,12,173,103,
    84,196,79,187,173,135,78,77,57,203,147,235,80,123,82,165,169,100,77,68,252,250,117,86,5,227,98,54,176,247,
    156,149,213,162,218,48,125,19,51,219,99,221,222,238,127,8,154,49,89,200,182,40,168,184,119,9,151,117,78,239,
    81,206,101,67,120,195,138,94,159,249,252,191,173,26,102,39,185,157,36,246,38,111,217,79,194,78,121,214,10,102,
    155,92,130,129,213,235,118,170,182,117,59,161,150,179,140,149,73,55,1,85,110,183,185,93,176,178,237,160,116,61,
    221,154,22,238,69,106,194,105,94,101,179,203,199,209,38,152,30,24,120,147,123,61,56,35,19,29,250,205,150,39,
    157,3,199,225,185,165,186,170,166,49,111,238,145,119,29,38,248,75,76,15,52,69,87,251,94,30,113,128,163,71,
    84,249,56,122,186,184,21,82,105,234,138,151,13,19,125,148,112,9,137,41,65,98,120,227,175,231,69,102,203,231,
    204,126,230,9,171,236,152,170,48,151,54,109,19,94,217,60,21,180,96,54,43,110,44,177,205,123,20,227,173,212,
    55,112,157,35,11,158,36,57,3,151,198,93,87,208,87,156,249,32,163,44,66,218,156,77,125,71,143,38,234,62,
    217,123,203,29,92,42,65,251,203,140,188,70,150,123,221,35,238,72,152,252,146,211,134,161,120,129,77,58,81,53,
    10,24,77,249,131,189,224,21,104,142,98,243,6,60,208,222,220,190,143,118,77,75,96,39,227,62,26,188,84,163,
    238,103,85,21,136,200,88,84,121,78,100,73,107,34,27,193,227,166,100,82,70,112,240,242,202,11,222,220,141,44,
    19,52,225,12,146,186,168,10,50,78,82,214,138,125,230,244,109,178,169,54,92,37,18,94,210,28,77,153,83,249,
    196,18,242,147,137,10,177,178,45,152,170,22,49,99,112,133,98,143,111,196,130,198,243,114,4,220,21,94,74,214,
    44,16,147,155,134,200,176,220,250,117,203,153,8,183,254,146,166,233,68,34,42,178,219,135,240,98,121,7,215,242,
    131,163,245,79,203,9,63,110,92,96,150,182,92,245,249,23,87,125,76,146,55,184,223,135,77,233,44,217,208,183,
    188,21,216,190,155,128,16,55,247,242,58,174,213,5,149,205,236,190,220,117,228,32,240,212,50,140,195,1,225,37,
    12,44,180,36,76,231,51,86,178,154,83,52,18,81,213,88,237,1,130,89,14,96,172,215,18,220,86,16,169,77,
    77,145,216,86,25,153,157,186,35,133,141,88,195,152,196,214,248,186,149,72,96,115,251,40,66,232,87,82,248,149,
    20,20,249,43,41,252,74,10,142,20,4,142,178,186,49,152,233,77,86,121,219,176,235,184,227,198,101,7,252,57,
    174,236,112,245,71,0,173,84,165,210,92,117,150,89,147,92,227,156,215,145,96,113,243,193,181,245,167,122,8,243,
    196,27,166,35,28,86,143,47,130,214,171,243,156,222,193,146,183,117,233,29,220,85,78,28,34,189,99,54,147,196,
    197,93,165,114,149,179,180,81,0,252,2,19,238,14,216,250,247,4,248,3,224,132,130,21,189,3,199,12,174,222,
    136,186,198,240,193,64,246,39,9,221,238,167,222,146,190,70,161,82,20,55,226,185,195,26,154,12,69,251,70,172,
    185,227,138,11,144,241,87,196,116,77,176,98,60,67,228,211,37,186,69,120,129,152,240,69,67,138,102,86,51,104,
    130,63,35,252,57,113,24,225,96,1,79,250,133,124,130,23,114,15,209,227,2,29,212,122,165,187,92,247,246,14,
    47,97,147,53,162,198,236,157,52,103,175,35,8,6,42,201,130,65,76,11,76,204,45,150,193,10,36,62,110,0,
    77,53,0,249,230,132,35,120,244,17,30,49,207,25,176,23,114,233,76,84,250,19,244,237,171,127,86,73,245,219,
    119,164,192,50,196,193,157,19,96,33,225,47,8,127,32,210,54,207,187,105,89,223,255,239,7,187,235,173,130,180,
    96,3,171,162,174,155,246,247,38,17,124,56,28,221,132,101,31,251,222,161,37,47,20,66,180,212,24,48,30,192,
    180,60,105,65,207,80,97,241,50,229,37,135,161,99,246,43,100,216,200,172,247,53,142,57,85,32,208,109,227,182,
    180,149,76,16,67,68,64,152,3,207,13,186,6,122,103,218,207,46,29,78,248,228,111,3,46,108,140,6,34,170,
    151,78,255,145,112,193,204,60,168,32,67,194,228,177,38,99,253,52,161,119,96,155,44,73,204,116,163,245,246,138,
    104,40,50,80,239,192,113,46,79,239,40,65,19,143,134,215,178,27,107,94,24,43,55,58,157,210,144,237,157,140,
    214,196,235,212,207,8,67,7,16,223,32,19,112,48,192,105,66,2,133,224,80,210,71,44,44,49,129,50,164,73,
    88,120,180,50,186,168,143,250,117,146,228,217,82,128,133,32,255,186,118,128,101,26,20,201,49,217,35,65,18,189,
    122,233,22,167,236,6,67,137,10,240,111,127,241,206,222,197,163,223,190,47,214,148,227,116,228,45,79,238,96,137,
    225,7,150,31,90,62,44,48,158,169,248,176,115,217,199,143,139,18,110,238,237,112,59,255,129,18,188,211,209,242,
    78,23,203,59,7,15,21,2,19,49,241,93,247,241,38,248,23,203,63,120,234,59,124,164,0,68,136,255,70,17,
    142,191,145,30,222,146,30,54,210,224,45,105,160,164,25,172,87,24,57,142,173,203,22,45,91,31,246,65,235,14,
    39,235,114,217,180,45,91,180,43,195,78,123,220,45,118,218,67,142,195,63,224,55,80,126,67,87,125,123,191,235,
    87,47,64,30,247,26,134,22,126,191,233,21,134,49,46,136,112,88,213,175,196,115,17,53,211,181,153,125,175,136,
    233,169,26,64,212,251,75,249,158,122,18,7,75,177,183,213,122,40,13,87,82,199,223,120,54,40,94,112,92,95,
    176,171,31,228,119,226,161,92,79,247,43,239,184,182,241,39,185,187,208,251,206,158,222,159,220,251,11,249,174,122,
    18,31,150,226,211,174,26,111,145,192,174,217,246,2,28,28,226,140,160,255,54,7,115,6,25,104,89,204,158,132,
    56,103,83,22,30,236,111,189,189,202,185,124,71,173,165,90,82,176,132,183,197,226,209,80,232,186,189,211,214,53,
    19,49,149,108,125,248,63,18,67,89,183,92,5,179,9,114,176,231,97,62,197,182,107,193,39,70,245,74,10,113,
    13,182,25,135,39,215,125,207,155,26,32,199,208,58,123,143,57,188,188,239,208,59,89,126,96,29,46,15,56,100,
    172,36,225,251,30,15,129,229,93,84,86,11,222,117,41,88,242,136,67,95,213,238,120,134,175,247,28,222,89,158,
    87,47,36,120,192,39,228,48,55,176,124,239,81,167,15,85,52,208,83,225,251,21,93,207,38,8,78,115,9,42,
    142,110,135,184,115,236,29,8,70,179,37,51,233,83,118,51,164,30,254,103,62,210,148,189,78,181,246,124,106,181,
    87,143,76,7,52,229,121,174,159,153,254,96,215,153,231,134,23,48,124,241,5,133,40,110,111,60,38,55,246,147,
    51,241,193,9,108,215,118,124,219,251,56,191,36,105,141,227,200,241,66,217,59,250,124,252,219,184,199,28,206,203,
    113,89,55,246,214,0,124,188,110,119,165,232,66,239,54,191,125,253,141,157,235,80,146,27,132,161,191,194,212,44,
    87,49,6,182,228,67,210,123,159,146,222,219,183,7,43,111,86,112,43,219,226,198,201,180,235,119,200,226,137,166,
    202,216,15,190,254,108,55,164,90,243,163,123,238,172,176,212,204,249,217,138,247,229,105,152,229,169,212,12,248,190,
    40,248,224,18,150,108,165,95,58,203,47,251,173,232,233,47,81,219,7,68,169,248,217,117,235,157,155,237,72,237,
    218,185,173,241,93,159,191,183,83,174,29,203,1,199,66,33,192,130,142,7,192,139,189,253,72,177,32,210,185,204,
    124,255,228,84,1,116,112,224,175,229,207,123,35,151,111,174,143,74,155,35,243,55,159,177,210,165,183,187,113,59,
    34,140,248,188,27,230,99,31,21,28,139,122,170,84,238,222,75,71,78,118,204,72,212,172,14,36,56,221,58,189,
    217,0,134,210,52,133,214,64,66,211,160,20,12,221,129,50,101,189,190,170,101,67,235,160,47,74,216,6,150,87,
    204,242,178,76,156,115,182,198,209,39,72,66,242,217,202,52,26,118,153,81,86,128,228,244,232,147,85,200,99,59,
    158,194,187,8,8,164,226,166,129,196,12,154,61,169,137,23,91,209,112,194,249,105,91,77,162,180,246,128,225,149,
    159,79,182,3,174,102,181,53,20,54,116,59,148,188,165,21,88,125,51,150,160,66,101,172,183,207,178,254,199,75,
    131,126,211,127,167,248,239,238,110,249,176,85,1,9,127,178,5,211,123,211,165,222,172,195,229,48,161,43,139,178,
    154,202,178,10,197,56,186,29,192,97,193,158,182,2,115,245,184,61,17,90,179,176,6,169,70,94,50,250,63,19,
    134,146,29,53,23,245,60,52,223,170,219,169,31,170,106,220,4,129,75,124,22,20,176,48,69,59,81,80,140,48,
    184,11,89,124,217,224,214,156,44,32,29,6,136,39,104,229,102,125,44,119,203,10,250,74,53,183,169,230,201,249,
    132,86,233,157,107,80,103,93,88,83,244,232,99,63,171,206,100,88,104,150,86,220,62,152,33,206,236,214,126,2,
    119,247,234,195,234,108,120,247,153,161,159,119,119,69,226,212,7,31,125,186,123,207,170,253,145,62,153,126,109,250,
    141,124,16,20,144,253,163,254,113,255,164,5,50,110,76,182,131,201,93,26,242,89,120,150,158,61,110,129,244,126,
    99,124,239,96,43,218,81,201,50,38,231,244,136,235,104,54,49,155,167,118,184,42,123,108,199,210,199,2,239,139,
    42,59,111,181,38,77,78,207,79,239,184,23,194,110,211,64,241,110,211,67,237,211,82,90,24,78,80,53,193,20,
    90,219,254,152,186,19,123,200,77,105,140,178,112,97,231,178,52,66,193,66,200,211,200,64,124,4,20,64,194,206,
    87,3,145,213,157,69,96,107,218,142,192,9,38,17,230,44,29,242,241,237,78,28,203,224,156,21,174,142,82,119,
    69,195,200,58,196,68,254,92,183,102,225,101,62,107,213,178,252,111,49,64,58,237,156,229,60,93,119,248,220,116,
    120,61,166,106,54,227,29,189,168,44,0,186,209,159,82,216,1,253,41,157,138,192,237,210,33,184,140,14,243,94,
    142,27,248,90,67,47,143,28,140,42,116,97,228,139,6,160,140,93,250,56,144,67,118,176,54,206,181,136,209,59,
    147,2,118,251,34,82,192,223,250,67,201,85,36,68,20,67,177,171,132,183,254,110,88,59,200,26,46,128,187,195,
    184,28,159,151,10,174,227,243,181,77,189,77,242,207,96,84,21,202,162,68,91,253,16,12,42,216,130,104,13,48,
    121,52,13,55,20,57,193,121,7,120,243,90,150,134,253,208,250,30,34,78,18,130,187,124,93,183,31,42,237,67,
    112,221,77,130,30,110,41,77,97,46,110,103,241,82,113,166,25,142,154,4,207,106,66,96,51,33,242,158,240,249,
    142,36,43,129,196,8,188,103,57,224,45,43,34,220,21,48,202,95,199,226,241,225,73,111,73,219,190,181,60,159,
    207,231,217,188,166,107,95,78,191,174,92,143,16,4,197,106,93,9,252,164,178,255,77,31,244,237,254,194,74,1,
    102,38,125,9,56,107,111,133,67,34,129,159,188,183,162,204,19,182,152,78,89,22,183,166,225,154,213,203,6,14,
    144,212,132,209,138,171,33,222,109,166,99,97,220,30,33,122,203,134,145,158,25,168,166,27,23,86,118,171,18,101,
    117,186,138,85,20,208,159,105,151,85,229,106,186,146,181,157,228,61,195,248,4,204,115,197,187,135,52,117,127,223,
    161,239,240,139,52,147,119,200,193,17,169,224,88,94,1,197,144,122,59,253,235,126,188,88,68,86,235,193,241,109,
    95,67,94,102,149,252,5,231,119,128,174,52,5,199,31,47,232,87,85,241,10,127,87,188,0,241,69,222,122,9,
    26,224,129,97,170,164,35,53,57,182,66,113,104,255,226,34,166,212,51,157,229,129,194,58,14,132,225,171,248,2,
    18,30,85,235,60,161,4,200,163,99,224,157,126,191,15,153,44,97,89,192,158,209,52,255,211,148,252,244,198,2,
    254,137,51,215,163,71,94,159,36,155,122,94,247,28,47,192,228,121,156,121,29,53,211,106,158,150,203,103,230,5,
    29,127,255,196,202,253,136,192,167,228,146,134,62,235,35,127,204,175,50,255,170,57,110,131,28,255,53,153,26,180,
    111,132,145,35,93,45,183,87,138,220,19,40,82,5,154,180,229,235,56,63,105,248,135,18,128,161,195,0,213,88,
    26,173,140,115,234,10,27,130,79,224,130,186,168,190,84,143,164,8,68,21,12,23,89,113,108,63,102,67,179,174,
    217,245,107,214,63,81,1,223,52,234,26,181,20,53,205,220,49,25,160,138,154,175,157,197,24,232,128,87,95,15,
    122,235,151,10,25,75,169,227,157,230,248,203,124,254,182,237,127,91,84,58,53,243,10,191,83,192,189,83,165,26,
    240,61,247,119,61,115,200,230,245,78,95,190,190,177,40,90,191,83,15,184,139,108,254,254,169,65,171,9,114,21,
    28,81,18,4,22,252,229,18,112,207,241,114,2,154,213,75,84,194,6,213,36,115,33,58,61,198,65,116,153,118,
    32,199,179,146,93,180,60,233,20,118,141,56,29,163,9,13,141,100,134,131,100,155,59,161,135,204,74,86,252,109,
    161,249,98,164,19,75,191,92,125,19,160,105,207,55,119,23,202,194,68,136,155,139,102,60,5,69,32,115,115,168,
    150,16,65,35,164,122,110,89,223,28,62,21,109,169,4,209,186,12,3,81,146,82,242,84,60,94,194,15,192,24,
    147,134,233,101,224,135,11,253,141,213,252,126,217,28,175,126,167,70,33,168,230,200,227,38,42,117,112,132,210,32,
    219,233,71,58,8,31,166,11,123,88,191,98,90,114,101,230,41,236,238,0,197,22,12,225,109,110,23,222,148,194,
    13,208,206,117,106,119,1,49,242,167,92,230,215,5,22,155,27,187,130,145,154,213,142,196,80,146,170,99,91,78,
    91,245,244,163,184,77,155,225,37,186,9,12,0,239,227,191,138,161,210,115,28,22,95,198,151,194,137,117,127,142,
    233,171,96,214,28,27,42,9,202,133,17,45,240,21,75,119,185,185,67,214,84,57,56,190,233,178,192,54,17,77,
    151,18,128,68,222,40,199,43,237,49,25,60,51,57,101,210,139,133,75,86,240,101,178,40,135,211,16,196,42,64,
    218,156,125,177,236,77,100,56,193,89,106,92,63,193,112,56,242,123,39,225,141,88,143,181,41,24,68,40,87,240,
    144,210,94,135,40,5,182,250,72,189,54,171,54,182,126,193,184,50,49,240,152,155,184,177,207,158,52,19,241,243,
    231,70,74,241,165,93,73,242,146,149,159,199,32,2,207,39,132,203,128,223,197,53,57,128,140,186,236,165,180,243,
    114,220,79,125,237,92,177,73,186,155,135,203,64,211,165,134,3,245,114,169,121,164,139,186,213,194,212,198,100,148,
    82,181,192,14,132,187,202,83,80,37,7,101,115,194,83,11,17,97,120,190,110,7,220,169,39,84,39,9,66,137,
    101,138,173,157,156,181,235,55,66,144,59,180,69,68,80,178,144,190,205,254,142,14,23,231,93,64,134,157,249,236,
    89,177,218,188,88,230,159,78,36,13,150,27,118,167,216,63,15,135,43,224,18,59,28,77,67,104,221,53,222,14,
    208,253,171,150,74,248,185,125,69,130,32,130,49,189,142,90,28,160,167,89,0,53,72,169,248,200,137,201,13,84,
    224,172,111,70,13,66,92,214,158,249,226,72,170,218,156,137,56,116,70,97,208,101,12,231,22,122,175,9,54,200,
    183,116,119,196,142,52,131,180,135,150,162,5,188,152,186,84,49,241,180,79,216,87,5,193,107,83,236,77,23,119,
    237,165,136,201,45,186,153,151,231,151,192,140,199,164,12,33,91,26,220,168,206,128,189,132,97,144,204,111,203,88,
    222,79,170,238,156,191,28,111,167,97,41,200,237,80,128,19,231,238,229,225,134,214,176,247,201,242,166,129,250,227,
    238,151,233,79,146,145,84,77,51,45,78,139,187,229,224,216,144,234,164,32,152,119,93,224,173,86,245,214,184,42,
    109,183,28,222,14,120,237,118,201,9,228,113,148,215,247,81,118,202,37,53,82,165,167,83,161,196,211,247,41,218,
    202,25,69,170,61,235,57,188,49,73,197,118,221,224,240,83,212,210,62,54,40,243,41,5,55,168,132,103,249,34,
    178,144,58,174,149,103,79,118,72,241,29,66,242,198,194,79,106,149,185,13,225,28,209,48,208,51,186,69,202,89,
    200,245,185,229,164,197,10,197,73,179,186,91,234,87,19,28,117,130,117,49,88,45,23,235,136,108,110,67,32,73,
    74,96,121,65,64,251,243,135,45,56,205,28,34,0,159,142,168,170,251,253,80,167,215,165,9,49,65,11,154,202,
    40,60,191,208,110,90,217,176,117,54,65,151,89,163,20,205,75,112,74,167,134,201,19,223,30,155,113,85,159,43,
    104,236,227,240,85,55,55,204,124,223,106,237,8,2,59,16,255,180,119,220,93,138,227,190,255,247,83,232,151,223,
    245,59,7,108,28,200,108,239,189,247,190,155,217,201,13,243,142,5,94,166,207,167,63,203,10,70,194,217,169,183,
    203,21,30,143,98,197,13,91,150,37,89,146,25,119,228,153,120,193,124,215,193,99,40,158,12,231,194,145,169,95,
    91,57,39,131,144,53,178,249,92,94,18,140,190,229,204,52,54,118,197,223,172,4,5,144,195,48,40,197,50,224,
    41,92,72,34,128,50,97,39,100,220,151,152,123,39,73,113,106,8,11,164,139,168,191,212,155,90,173,248,14,34,
    51,96,240,42,23,110,248,0,194,146,15,188,136,44,206,171,8,84,159,53,241,68,168,129,155,252,0,26,149,2,
    90,91,2,250,158,192,116,228,48,14,154,55,107,23,98,18,19,76,73,59,252,142,32,161,159,111,106,181,73,13,
    15,237,71,79,234,255,26,160,97,50,142,37,192,114,9,10,127,255,21,2,172,78,179,227,138,176,131,205,79,206,
    217,27,232,107,18,45,128,203,178,218,111,61,55,187,133,1,67,167,111,202,253,218,210,12,0,238,87,95,27,14,
    80,230,185,35,90,119,169,48,174,155,179,227,209,96,23,59,1,222,249,195,181,172,45,24,112,31,57,152,54,228,
    46,11,107,211,61,48,91,93,14,115,27,7,232,76,117,240,5,29,33,70,179,153,24,23,67,9,2,160,75,193,
    124,148,65,153,185,37,115,35,132,22,138,128,121,255,126,186,1,141,34,80,249,101,20,130,34,133,113,172,131,53,
    66,225,130,142,141,221,212,250,72,249,248,145,174,238,37,48,26,214,193,212,18,22,167,232,39,31,179,233,103,190,
    182,91,114,237,146,78,70,194,24,69,65,103,186,61,135,36,161,19,222,254,27,215,136,14,43,119,234,138,1,194,
    183,34,160,182,60,229,129,8,194,87,77,164,175,133,47,193,107,91,101,222,10,83,59,17,128,169,140,34,59,78,
    144,142,67,192,76,163,97,91,145,111,83,180,16,199,231,175,86,197,42,20,195,21,192,161,1,12,211,227,168,95,
    213,58,239,49,35,34,119,140,158,17,76,30,4,192,212,170,25,102,204,84,147,243,163,138,106,118,149,174,225,243,
    17,144,47,18,143,199,117,182,53,198,30,206,7,155,130,126,41,66,47,218,45,100,134,128,109,15,235,136,40,251,
    108,100,227,58,203,81,183,50,11,222,107,17,232,207,9,253,16,214,43,195,152,134,106,217,204,99,121,35,81,75,
    78,99,114,94,12,185,208,167,137,237,66,108,20,222,1,10,177,202,228,12,171,226,42,200,119,14,150,191,180,65,
    161,248,144,69,219,142,172,79,14,99,8,174,55,105,130,217,30,81,117,162,5,36,230,187,168,63,155,184,89,127,
    159,156,151,83,44,166,84,140,174,136,254,40,70,23,7,83,246,209,85,204,146,98,72,69,237,49,246,60,193,152,
    139,251,34,143,140,202,216,140,59,241,236,16,43,36,48,231,56,123,175,101,202,99,59,111,229,177,116,35,224,91,
    174,147,20,51,200,211,174,41,44,88,191,159,122,21,71,174,220,71,15,2,12,249,86,252,41,51,249,15,6,107,
    83,182,0,160,74,100,38,148,248,51,94,147,106,106,174,141,217,186,175,197,174,188,4,218,0,190,172,178,241,166,
    124,86,208,191,103,227,21,100,90,107,28,113,8,125,74,162,152,100,87,145,202,33,105,61,151,132,40,126,63,253,
    156,212,180,115,121,14,12,108,237,79,115,100,70,182,227,202,50,7,155,136,169,181,184,97,27,207,212,34,154,55,
    113,182,102,14,156,237,81,215,150,182,97,109,225,239,249,174,45,201,213,22,149,27,72,239,86,150,112,134,18,53,
    127,170,167,122,224,222,146,253,68,172,190,153,53,49,153,55,70,112,217,241,3,167,34,158,81,146,68,70,19,41,
    60,243,62,20,177,196,231,71,163,135,230,95,74,15,131,15,20,159,39,163,211,30,170,22,84,174,180,101,82,72,
    39,181,254,212,37,7,109,47,5,48,160,19,83,95,72,39,88,94,117,94,207,74,24,75,91,118,22,164,123,253,
    180,173,155,232,216,116,166,36,119,130,11,54,17,68,110,88,238,140,29,31,88,174,208,196,75,26,39,43,20,49,
    212,197,48,236,172,55,177,55,162,161,135,3,87,174,4,23,116,28,138,213,98,109,216,208,208,130,152,218,127,23,
    49,93,16,211,39,20,246,114,95,14,147,178,28,89,60,105,39,135,145,28,100,193,152,52,107,8,110,177,1,201,
    89,148,11,137,20,227,253,68,210,72,38,22,101,33,12,197,33,88,245,230,241,33,99,245,230,1,154,178,221,93,
    47,111,183,165,100,180,255,16,201,160,21,13,236,124,36,184,203,52,248,107,8,240,110,5,1,142,197,105,26,88,
    252,87,225,50,134,73,151,124,168,23,152,9,9,226,85,35,142,76,48,41,82,120,7,75,2,23,139,121,131,85,
    70,13,137,54,73,51,40,130,205,154,133,197,52,70,82,12,9,109,50,229,131,25,162,28,209,34,217,84,99,47,
    228,160,227,240,141,198,136,93,224,111,175,112,147,88,37,53,166,150,43,231,175,175,85,159,183,139,202,169,48,40,
    211,65,101,29,114,222,93,219,112,59,227,245,39,208,130,39,15,111,93,191,254,132,149,21,179,72,141,196,50,235,
    183,66,174,171,104,201,245,236,214,1,184,53,40,150,203,193,164,15,147,120,79,192,130,255,200,166,165,190,74,244,
    33,210,252,124,154,92,92,142,152,27,95,103,62,25,212,128,203,117,152,44,24,151,77,53,11,13,197,18,244,85,
    38,84,20,88,72,197,219,44,193,197,94,203,32,194,95,129,112,170,241,105,30,41,233,75,182,165,134,221,158,59,
    212,144,239,76,228,119,212,144,71,184,220,128,7,5,215,206,55,63,254,248,142,64,193,35,154,146,222,163,25,29,
    154,39,143,113,167,18,128,229,85,81,227,140,51,175,128,214,9,241,15,9,212,87,182,254,181,29,126,73,143,88,
    26,5,105,181,47,71,130,123,154,5,69,142,68,74,143,132,251,175,20,220,21,191,234,114,121,92,46,143,70,27,
    77,171,229,248,236,77,206,216,155,124,206,236,141,140,106,128,51,129,209,156,26,187,170,19,112,157,236,36,176,75,
    137,106,199,183,91,185,164,17,76,79,15,180,126,222,43,50,200,106,221,137,118,95,91,65,67,50,15,82,51,119,
    162,34,189,145,36,85,145,143,79,72,86,22,100,133,134,241,232,116,5,148,18,192,126,197,25,84,102,221,15,211,
    83,146,164,245,205,54,238,155,69,181,130,76,9,220,186,250,245,200,209,130,28,225,142,178,160,73,11,154,52,23,
    154,4,74,205,79,50,152,72,61,240,156,172,230,255,115,84,102,65,101,22,84,102,65,101,14,56,228,126,54,198,
    64,236,101,179,10,242,120,234,198,2,250,85,249,59,145,145,117,71,71,74,188,2,119,136,183,65,166,227,106,148,
    0,221,126,122,46,113,215,237,22,195,63,146,102,2,136,22,112,52,60,76,75,69,163,38,157,138,99,5,62,83,
    112,69,177,64,97,178,46,177,195,255,58,226,103,17,83,132,30,219,155,189,186,239,44,205,117,39,28,35,105,7,
    53,189,12,252,231,93,244,150,24,248,12,224,51,79,179,1,207,166,29,88,15,124,14,85,87,39,243,41,202,103,
    52,214,71,89,168,245,217,118,85,168,112,230,32,43,131,206,150,141,20,238,189,25,88,7,178,254,76,46,12,44,
    209,23,196,57,86,75,79,148,164,24,4,28,48,114,165,36,151,97,37,108,140,224,26,97,108,125,197,45,40,184,
    81,110,64,225,79,250,241,241,178,195,62,127,61,163,251,130,207,163,170,252,159,84,91,159,4,181,12,67,173,121,
    31,98,6,218,89,7,121,7,31,202,93,216,83,162,83,214,86,151,77,176,251,117,51,227,105,101,158,231,12,83,
    92,186,223,109,54,161,204,0,67,29,209,199,18,102,241,143,119,180,123,212,78,96,199,184,127,162,19,216,197,180,
    117,223,46,45,76,39,229,102,252,111,98,103,246,245,93,187,103,211,204,187,37,160,95,148,95,171,93,101,32,195,
    247,122,39,237,89,149,102,152,250,148,246,180,74,115,235,45,246,117,71,165,237,37,180,127,215,133,75,229,224,63,
    218,248,242,64,124,186,39,13,86,77,109,176,90,24,3,102,58,153,206,233,38,187,132,158,43,57,208,39,61,192,
    76,228,75,96,20,26,231,160,139,6,58,187,185,210,105,39,3,250,172,141,115,192,136,166,238,249,35,54,187,158,
    102,153,171,189,221,1,163,44,186,142,161,101,124,59,71,118,12,223,209,97,119,182,149,173,99,118,229,202,129,117,
    255,23,115,43,44,7,109,149,225,59,224,138,52,48,111,21,209,230,40,126,210,7,130,208,53,249,188,115,91,198,
    107,46,207,159,250,19,178,188,1,176,11,153,0,0
]

# Convert the byte array to bytes
compressed_data = bytes(data)

# Decompress the data
try:
    decompressed_data = gzip.decompress(compressed_data)
    # Convert the decompressed bytes back to a string
    html_content = decompressed_data.decode('utf-8')

    # Save the HTML content to a file
    with open("output.html", "w", encoding="utf-8") as file:
        file.write(html_content)

    print("HTML content has been saved to 'output.html'.")
except Exception as e:
    print(f"Error decompressing the data: {e}")
